com.virtual.tour.road.com.virtual.tour.road.vista

## Class ThirdFragment

- java.lang.Object
- - android.support.v4.app.Fragment
  - - com.virtual.tour.road.com.virtual.tour.road.vista.ThirdFragment

- All Implemented Interfaces:
    android.content.ComponentCallbacks, android.view.View.OnCreateContextMenuListener

      public class ThirdFragment
      extends android.support.v4.app.Fragment

  A simple `Fragment` subclass. Activities that contain this fragment must implement the `ThirdFragment.OnFragmentInteractionListener` interface to handle interaction events. Use the `newInstance()` factory method to create an instance of this fragment.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `ThirdFragment.OnFragmentInteractionListener`

    - ### Nested classes/interfaces inherited from class android.support.v4.app.Fragment

      `android.support.v4.app.Fragment.InstantiationException, android.support.v4.app.Fragment.SavedState`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Controlador` | `controlador`
    `private GestorPreIniReproductorMusica` | `gestor`
    `private ThirdFragment.OnFragmentInteractionListener` | `mListener`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ThirdFragment()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ThirdFragment` | `newInstance()`
    `void` | `onButtonPressed(android.net.Uri uri)`
    `void` | `onCreate(android.os.Bundle savedInstanceState)` Called to do initial creation of a fragment.
    `android.view.View` | `onCreateView(android.view.LayoutInflater inflater, android.view.ViewGroup container, android.os.Bundle savedInstanceState)` Called to have the fragment instantiate its user interface view.
    `void` | `showDialog()`

    - ### Methods inherited from class android.support.v4.app.Fragment

      `dump, equals, getActivity, getAllowEnterTransitionOverlap, getAllowReturnTransitionOverlap, getArguments, getChildFragmentManager, getEnterTransition, getExitTransition, getFragmentManager, getId, getLayoutInflater, getLoaderManager, getParentFragment, getReenterTransition, getResources, getRetainInstance, getReturnTransition, getSharedElementEnterTransition, getSharedElementReturnTransition, getString, getString, getTag, getTargetFragment, getTargetRequestCode, getText, getUserVisibleHint, getView, hashCode, hasOptionsMenu, instantiate, instantiate, isAdded, isDetached, isHidden, isInLayout, isMenuVisible, isRemoving, isResumed, isVisible, onActivityCreated, onActivityResult, onAttach, onConfigurationChanged, onContextItemSelected, onCreateAnimation, onCreateContextMenu, onCreateOptionsMenu, onDestroy, onDestroyOptionsMenu, onDestroyView, onDetach, onHiddenChanged, onInflate, onLowMemory, onOptionsItemSelected, onOptionsMenuClosed, onPause, onPrepareOptionsMenu, onResume, onSaveInstanceState, onStart, onStop, onViewCreated, onViewStateRestored, registerForContextMenu, setAllowEnterTransitionOverlap, setAllowReturnTransitionOverlap, setArguments, setEnterSharedElementCallback, setEnterTransition, setExitSharedElementCallback, setExitTransition, setHasOptionsMenu, setInitialSavedState, setMenuVisibility, setReenterTransition, setRetainInstance, setReturnTransition, setSharedElementEnterTransition, setSharedElementReturnTransition, setTargetFragment, setUserVisibleHint, startActivity, startActivityForResult, toString, unregisterForContextMenu`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### controlador

          private Controlador controlador

    - #### gestor

          private GestorPreIniReproductorMusica gestor

    - #### mListener

          private ThirdFragment.OnFragmentInteractionListener mListener

  - ### Constructor Detail

    - #### ThirdFragment

          public ThirdFragment()

  - ### Method Detail

    - #### newInstance

          public static ThirdFragment newInstance()

    - #### onButtonPressed

          public void onButtonPressed(android.net.Uri uri)

    - #### onCreate

          public void onCreate(android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to do initial creation of a fragment. This is called after `Fragment.onAttach(Activity)` and before `Fragment.onCreateView(LayoutInflater, ViewGroup, Bundle)`.

      Note that this can be called while the fragment's activity is still in the process of being created. As such, you can not rely on things like the activity's content view hierarchy being initialized at this point. If you want to do work once the activity itself is created, see `Fragment.onActivityCreated(Bundle)`.

      Overrides:
        `onCreate` in class `android.support.v4.app.Fragment`
      Parameters:
        `savedInstanceState` - If the fragment is being re-created from a previous saved state, this is the state.

    - #### onCreateView

          public android.view.View onCreateView(android.view.LayoutInflater inflater,
                                                android.view.ViewGroup container,
                                                android.os.Bundle savedInstanceState)

      Description copied from class: `android.support.v4.app.Fragment`
      Called to have the fragment instantiate its user interface view. This is optional, and non-graphical fragments can return null (which is the default implementation). This will be called between `Fragment.onCreate(Bundle)` and `Fragment.onActivityCreated(Bundle)`.

      If you return a View from here, you will later be called in `Fragment.onDestroyView()` when the view is being released.

      Overrides:
        `onCreateView` in class `android.support.v4.app.Fragment`
      Parameters:
        `inflater` - The LayoutInflater object that can be used to inflate any views in the fragment,
        `container` - If non-null, this is the parent view that the fragment's UI should be attached to. The fragment should not add the view itself, but this can be used to generate the LayoutParams of the view.
        `savedInstanceState` - If non-null, this fragment is being re-constructed from a previous saved state as given here.
      Returns:
        Return the View for the fragment's UI, or null.

    - #### showDialog

          public void showDialog()